Download a file
GET
/media/{id}/file
const url = 'https://postflow.biz.id/api/v1/media/example/file?thumb=1';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url 'https://postflow.biz.id/api/v1/media/example/file?thumb=1' \ --header 'Authorization: Bearer <token>'The file itself, with its type. Supports Range. ?thumb=1 returns a video’s thumbnail.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Media id
Query Parameters
Section titled “Query Parameters”thumb
string
Responses
Section titled “Responses”The file.
Media typeapplication/octet-stream
string format: binary
Missing, invalid, expired or deleted key or token.
Not found in this workspace.